Bug 1395723 - Links to Subscriptions from activation key are broken
Summary: Links to Subscriptions from activation key are broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.2.4
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 14:18 UTC by Martin Bacovsky
Modified: 2020-07-16 09:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (173.46 KB, image/png)
2017-08-10 18:37 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17363 0 None None None 2016-11-16 14:28:00 UTC

Description Martin Bacovsky 2016-11-16 14:18:49 UTC
Description of problem:
hyperlink of the susbcription from the activation keys -> subscriptions page doesn't work. It appears to be missing an id in the URL that need sot be present.

Version-Release number of selected component (if applicable):
# rpm -q satellite
satellite-6.2.4-1.0.el7sat.noarch


How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 6.2.4
2. Go to https://satellite/activation_keys/XXX/add-subscriptions
     (replace XXX with a valid activation key ID)
3. Attempt to click on the title of one of the Subscriptions (see screenshot for where to click)

Actual results:
You'll observe that the subscription name hyperlinks to "https://satellite/subscriptions//info" (note the double-/ character - between the should be a subscription ID).

Expected results:
Hyperlinks contain subscription ids

Additional info:

Comment 2 Martin Bacovsky 2016-11-16 14:27:59 UTC
Created redmine issue http://projects.theforeman.org/issues/17363 from this bug

Comment 4 Brad Buckingham 2016-11-21 16:54:37 UTC
Fix proposed in Katello PR: https://github.com/Katello/katello/pull/6466

Comment 5 jcallaha 2017-08-10 18:37:02 UTC
Verified in Satellite 6.3. Snap 10.

The subscriptions are now linked appropriately. See attached image for verification.

Comment 6 jcallaha 2017-08-10 18:37:18 UTC
Created attachment 1311858 [details]
verification screenshot

Comment 8 Satellite Program 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.